%{?drupal7_find_provides_and_requires}

%global module headerimage

Name:          drupal7-%{module}
Version:       1.4
Release:       1%{?dist}
Summary:       Module to display an image on selected pages

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This module allows you to display an image on selected pages. If you
want one image on the frontpage, another on all FAQ pages and yet
another on the about us and contact pages, this is the module that can
do it.

Each image, included in a node, can be shown on pages based on node id,
path, taxonomy, node type, book or PHP code. A single block is used to
display different images (nodes) each image having its own conditions.
Using a weight per node the order of selection can be controlled.
Multiple header image blocks can be defined.

Header image works with a selectable node type. All node content is
displayed in the block without node title, taxonomy or links. Header
image is designed to use a node type containing a single image field,
but can also be used to display more node content like multiple images
or text in a block.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.4-1
- Initial package

